Delete FPP Server Property
delete
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/properties/{propertyName}
Removes property in EM for registered FPP server
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP server
-
propertyName(required): string
Name of the property
There's no request body for this operation.
Back to TopResponse
204 Response
No Content
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message